Add Confluent account

POST https://api.ap1.datadoghq.com/api/v2/integrations/confluent-cloud/accountshttps://api.ap2.datadoghq.com/api/v2/integrations/confluent-cloud/accountshttps://api.datadoghq.eu/api/v2/integrations/confluent-cloud/accountshttps://api.ddog-gov.com/api/v2/integrations/confluent-cloud/accountshttps://api.us2.ddog-gov.com/api/v2/integrations/confluent-cloud/accountshttps://api.datadoghq.com/api/v2/integrations/confluent-cloud/accountshttps://api.us3.datadoghq.com/api/v2/integrations/confluent-cloud/accountshttps://api.us5.datadoghq.com/api/v2/integrations/confluent-cloud/accounts

Overview

Create a Confluent account. This endpoint requires the manage_integrations permission.

Request

Body Data (required)

Confluent payload

Expand All

Field

Type

Description

data [required]

object

The data body for adding a Confluent account.

attributes [required]

object

Attributes associated with the account creation request.

api_key [required]

string

The API key associated with your Confluent account.

api_secret [required]

string

The API secret associated with your Confluent account.

resources

[object]

A list of Confluent resources associated with the Confluent account.

enable_custom_metrics

boolean

Enable the custom.consumer_lag_offset metric, which contains extra metric tags.

id

string

The ID associated with a Confluent resource.

resource_type [required]

string

The resource type of the Resource. Can be kafka, connector, ksql, or schema_registry.

tags

[string]

A list of strings representing tags. Can be a single key, or key-value pairs separated by a colon.

tags

[string]

A list of strings representing tags. Can be a single key, or key-value pairs separated by a colon.

type [required]

enum

The JSON:API type for this API. Should always be confluent-cloud-accounts. Allowed enum values: confluent-cloud-accounts

default: confluent-cloud-accounts

{
  "data": {
    "attributes": {
      "api_key": "TESTAPIKEY123",
      "api_secret": "test-api-secret-123",
      "resources": [
        {
          "enable_custom_metrics": false,
          "id": "resource-id-123",
          "resource_type": "kafka",
          "tags": [
            "myTag",
            "myTag2:myValue"
          ]
        }
      ],
      "tags": [
        "myTag",
        "myTag2:myValue"
      ]
    },
    "type": "confluent-cloud-accounts"
  }
}

Response

OK

The expected response schema when getting a Confluent account.

Expand All

Field

Type

Description

data

object

An API key and API secret pair that represents a Confluent account.

attributes [required]

object

The attributes of a Confluent account.

api_key [required]

string

The API key associated with your Confluent account.

resources

[object]

A list of Confluent resources associated with the Confluent account.

enable_custom_metrics

boolean

Enable the custom.consumer_lag_offset metric, which contains extra metric tags.

id

string

The ID associated with the Confluent resource.

resource_type [required]

string

The resource type of the Resource. Can be kafka, connector, ksql, or schema_registry.

tags

[string]

A list of strings representing tags. Can be a single key, or key-value pairs separated by a colon.

tags

[string]

A list of strings representing tags. Can be a single key, or key-value pairs separated by a colon.

id [required]

string

A randomly generated ID associated with a Confluent account.

type [required]

enum

The JSON:API type for this API. Should always be confluent-cloud-accounts. Allowed enum values: confluent-cloud-accounts

default: confluent-cloud-accounts

{
  "data": {
    "attributes": {
      "api_key": "TESTAPIKEY123",
      "resources": [
        {
          "enable_custom_metrics": false,
          "id": "resource_id_abc123",
          "resource_type": "kafka",
          "tags": [
            "myTag",
            "myTag2:myValue"
          ]
        }
      ],
      "tags": [
        "myTag",
        "myTag2:myValue"
      ]
    },
    "id": "account_id_abc123",
    "type": "confluent-cloud-accounts"
  }
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  ## default
# 

# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integrations/confluent-cloud/accounts" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "api_key": "TESTAPIKEY123", "api_secret": "test-api-secret-123", "resources": [ { "enable_custom_metrics": false, "id": "resource-id-123", "resource_type": "kafka", "tags": [ "myTag", "myTag2:myValue" ] } ], "tags": [ "myTag", "myTag2:myValue" ] }, "type": "confluent-cloud-accounts" } } EOF
"""
Add Confluent account returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.confluent_cloud_api import ConfluentCloudApi
from datadog_api_client.v2.model.confluent_account_create_request import ConfluentAccountCreateRequest
from datadog_api_client.v2.model.confluent_account_create_request_attributes import (
    ConfluentAccountCreateRequestAttributes,
)
from datadog_api_client.v2.model.confluent_account_create_request_data import ConfluentAccountCreateRequestData
from datadog_api_client.v2.model.confluent_account_resource_attributes import ConfluentAccountResourceAttributes
from datadog_api_client.v2.model.confluent_account_type import ConfluentAccountType

body = ConfluentAccountCreateRequest(
    data=ConfluentAccountCreateRequestData(
        attributes=ConfluentAccountCreateRequestAttributes(
            api_key="TESTAPIKEY123",
            api_secret="test-api-secret-123",
            resources=[
                ConfluentAccountResourceAttributes(
                    enable_custom_metrics=False,
                    id="resource-id-123",
                    resource_type="kafka",
                    tags=[
                        "myTag",
                        "myTag2:myValue",
                    ],
                ),
            ],
            tags=[
                "myTag",
                "myTag2:myValue",
            ],
        ),
        type=ConfluentAccountType.CONFLUENT_CLOUD_ACCOUNTS,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = ConfluentCloudApi(api_client)
    response = api_instance.create_confluent_account(body=body)

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
# Add Confluent account returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::ConfluentCloudAPI.new

body = DatadogAPIClient::V2::ConfluentAccountCreateRequest.new({
  data: DatadogAPIClient::V2::ConfluentAccountCreateRequestData.new({
    attributes: DatadogAPIClient::V2::ConfluentAccountCreateRequestAttributes.new({
      api_key: "TESTAPIKEY123",
      api_secret: "test-api-secret-123",
      resources: [
        DatadogAPIClient::V2::ConfluentAccountResourceAttributes.new({
          enable_custom_metrics: false,
          id: "resource-id-123",
          resource_type: "kafka",
          tags: [
            "myTag",
            "myTag2:myValue",
          ],
        }),
      ],
      tags: [
        "myTag",
        "myTag2:myValue",
      ],
    }),
    type: DatadogAPIClient::V2::ConfluentAccountType::CONFLUENT_CLOUD_ACCOUNTS,
  }),
})
p api_instance.create_confluent_account(body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
// Add Confluent account returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.ConfluentAccountCreateRequest{
		Data: datadogV2.ConfluentAccountCreateRequestData{
			Attributes: datadogV2.ConfluentAccountCreateRequestAttributes{
				ApiKey:    "TESTAPIKEY123",
				ApiSecret: "test-api-secret-123",
				Resources: []datadogV2.ConfluentAccountResourceAttributes{
					{
						EnableCustomMetrics: datadog.PtrBool(false),
						Id:                  datadog.PtrString("resource-id-123"),
						ResourceType:        "kafka",
						Tags: []string{
							"myTag",
							"myTag2:myValue",
						},
					},
				},
				Tags: []string{
					"myTag",
					"myTag2:myValue",
				},
			},
			Type: datadogV2.CONFLUENTACCOUNTTYPE_CONFLUENT_CLOUD_ACCOUNTS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewConfluentCloudApi(apiClient)
	resp, r, err := api.CreateConfluentAccount(ctx, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ConfluentCloudApi.CreateConfluentAccount`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `ConfluentCloudApi.CreateConfluentAccount`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
// Add Confluent account returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.ConfluentCloudApi;
import com.datadog.api.client.v2.model.ConfluentAccountCreateRequest;
import com.datadog.api.client.v2.model.ConfluentAccountCreateRequestAttributes;
import com.datadog.api.client.v2.model.ConfluentAccountCreateRequestData;
import com.datadog.api.client.v2.model.ConfluentAccountResourceAttributes;
import com.datadog.api.client.v2.model.ConfluentAccountResponse;
import com.datadog.api.client.v2.model.ConfluentAccountType;
import java.util.Arrays;
import java.util.Collections;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    ConfluentCloudApi apiInstance = new ConfluentCloudApi(defaultClient);

    ConfluentAccountCreateRequest body =
        new ConfluentAccountCreateRequest()
            .data(
                new ConfluentAccountCreateRequestData()
                    .attributes(
                        new ConfluentAccountCreateRequestAttributes()
                            .apiKey("TESTAPIKEY123")
                            .apiSecret("test-api-secret-123")
                            .resources(
                                Collections.singletonList(
                                    new ConfluentAccountResourceAttributes()
                                        .enableCustomMetrics(false)
                                        .id("resource-id-123")
                                        .resourceType("kafka")
                                        .tags(Arrays.asList("myTag", "myTag2:myValue"))))
                            .tags(Arrays.asList("myTag", "myTag2:myValue")))
                    .type(ConfluentAccountType.CONFLUENT_CLOUD_ACCOUNTS));

    try {
      ConfluentAccountResponse result = apiInstance.createConfluentAccount(body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling ConfluentCloudApi#createConfluentAccount");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
// Add Confluent account returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_confluent_cloud::ConfluentCloudAPI;
use datadog_api_client::datadogV2::model::ConfluentAccountCreateRequest;
use datadog_api_client::datadogV2::model::ConfluentAccountCreateRequestAttributes;
use datadog_api_client::datadogV2::model::ConfluentAccountCreateRequestData;
use datadog_api_client::datadogV2::model::ConfluentAccountResourceAttributes;
use datadog_api_client::datadogV2::model::ConfluentAccountType;

#[tokio::main]
async fn main() {
    let body = ConfluentAccountCreateRequest::new(ConfluentAccountCreateRequestData::new(
        ConfluentAccountCreateRequestAttributes::new(
            "TESTAPIKEY123".to_string(),
            "test-api-secret-123".to_string(),
        )
        .resources(vec![ConfluentAccountResourceAttributes::new(
            "kafka".to_string(),
        )
        .enable_custom_metrics(false)
        .id("resource-id-123".to_string())
        .tags(vec!["myTag".to_string(), "myTag2:myValue".to_string()])])
        .tags(vec!["myTag".to_string(), "myTag2:myValue".to_string()]),
        ConfluentAccountType::CONFLUENT_CLOUD_ACCOUNTS,
    ));
    let configuration = datadog::Configuration::new();
    let api = ConfluentCloudAPI::with_config(configuration);
    let resp = api.create_confluent_account(body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Add Confluent account returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.ConfluentCloudApi(configuration);

const params: v2.ConfluentCloudApiCreateConfluentAccountRequest = {
  body: {
    data: {
      attributes: {
        apiKey: "TESTAPIKEY123",
        apiSecret: "test-api-secret-123",
        resources: [
          {
            enableCustomMetrics: false,
            id: "resource-id-123",
            resourceType: "kafka",
            tags: ["myTag", "myTag2:myValue"],
          },
        ],
        tags: ["myTag", "myTag2:myValue"],
      },
      type: "confluent-cloud-accounts",
    },
  },
};

apiInstance
  .createConfluentAccount(params)
  .then((data: v2.ConfluentAccountResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"